CMRProxy (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.itil.CMRProxy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.itil
Interface CMRProxy

All Superinterfaces:
  ConfigurationItem, ExternalReference, ManagedElement, ModelObject, java.io.Serializable

    public interface CMRProxy

extends ExternalReference, ManagedElement, ConfigurationItem

A proxy to a Capacity Management Request record managed by an MSS external to the CMDB.

Naming Rules:
  0="parent,ITSMCMRID" 1="foreign,foreignCMRID"
Persistable:
  true
Table Name:
  CMRPROXY
Display Name:
  ITSMCMRID

Field Summary

Fields inherited from interface com.collation.platform.model.topology.process.ExternalReference
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`long` | `getCloseDate()`
`ManagementSoftwareSystem` | `getForeign()`
`java.lang.String` | `getForeignCMRHandle()`
`java.lang.String` | `getForeignCMRID()`
`java.lang.String` | `getITSMCMRHandle()`
`java.lang.String` | `getITSMCMRID()`
`long` | `getOpenDate()`
`ManagementSoftwareSystem` | `getParent()`
`java.lang.String` | `getTitle()`
`boolean` | `hasCloseDate()`
`boolean` | `hasForeign()`
`boolean` | `hasForeignCMRHandle()`
`boolean` | `hasForeignCMRID()`
`boolean` | `hasITSMCMRHandle()`
`boolean` | `hasITSMCMRID()`
`boolean` | `hasOpenDate()`
`boolean` | `hasParent()`
`boolean` | `hasTitle()`
`void` | `setCloseDate(long ts)`
`void` | `setForeign(ManagementSoftwareSystem foreign)`
`void` | `setForeignCMRHandle(java.lang.String s)`
`void` | `setForeignCMRID(java.lang.String s)`
`void` | `setITSMCMRHandle(java.lang.String s)`
`void` | `setITSMCMRID(java.lang.String s)`
`void` | `setOpenDate(long ts)`
`void` | `setParent(ManagementSoftwareSystem parent)`
`void` | `setTitle(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.process.ExternalReference
`getExternalHandle, getManagedElements, getMSS, hasExternalHandle, hasManagedElements, hasMSS, setExternalHandle, setManagedElements, setMSS`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getITSMCMRID

    java.lang.String getITSMCMRID()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setITSMCMRID

    void setITSMCMRID(java.lang.String s)

### hasITSMCMRID

    boolean hasITSMCMRID()

### getITSMCMRHandle

    java.lang.String getITSMCMRHandle()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setITSMCMRHandle

    void setITSMCMRHandle(java.lang.String s)

### hasITSMCMRHandle

    boolean hasITSMCMRHandle()

### getForeignCMRID

    java.lang.String getForeignCMRID()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForeignCMRID

    void setForeignCMRID(java.lang.String s)

### hasForeignCMRID

    boolean hasForeignCMRID()

### getForeignCMRHandle

    java.lang.String getForeignCMRHandle()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForeignCMRHandle

    void setForeignCMRHandle(java.lang.String s)

### hasForeignCMRHandle

    boolean hasForeignCMRHandle()

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String s)

### hasTitle

    boolean hasTitle()

### getParent

    ManagementSoftwareSystem getParent()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ManagementSoftwareSystem parent)

### hasParent

    boolean hasParent()

### getForeign

    ManagementSoftwareSystem getForeign()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setForeign

    void setForeign(ManagementSoftwareSystem foreign)

### hasForeign

    boolean hasForeign()

### getOpenDate

    long getOpenDate()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOpenDate

    void setOpenDate(long ts)

### hasOpenDate

    boolean hasOpenDate()

### getCloseDate

    long getCloseDate()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCloseDate

    void setCloseDate(long ts)

### hasCloseDate

    boolean hasCloseDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD